# Method: projects.unsubscribers.update

Updates an unsubscriber.

The caller must have `messaging.unsubscribers.update` permission on the project.

### HTTP request

`PATCH https://messaging.api.enfonica.com/v1/{unsubscriber.name}`

### Path parameters

Parameters | &nbsp;
--|--
<span class="e-code">unsubscriber.name</span> | <span class="e-code">string</span><br/>Resource name of the unsubscriber. It must match the pattern `projects/*/unsubscribers/*`

### Query parameters
Parameters | &nbsp;
--|--
<span class="e-code">updateMask</span> | <span class="e-code">string (<a href="https://developers.google.com/protocol-buffers/docs/proto3#json" target="_blank">FieldMask</a> format)</span><br/>Fields to be updated. Only `labels` can be updated.

### Request body

The request body must contain an instance of <span class="e-code">[Unsubscriber](/docs/cloud-sms/api-reference/rest/v1/projects.unsubscribers/overview/#resource-unsubscriber)</span>.

### Response body

If successful, the response body contains an instance of <span class="e-code">[Unsubscriber](/docs/cloud-sms/api-reference/rest/v1/projects.unsubscribers/overview/#resource-unsubscriber)</span>.

